### Method

# Soup Message add_header_handler

#### Declaration [src]

    guint
    soup_message_add_header_handler (
      SoupMessage* msg,
      const char* signal,
      const char* header,
      GCallback callback,
      gpointer user_data
    )

#### Description [src]

Adds a signal handler to `msg` for `signal`.

Similar to `g_signal_connect()`, but the `callback` will only be run if `msg`‘s incoming messages headers (that is, the `request_headers`) contain a header named `header`.

This method is not directly available to language bindings.

#### Parameters

`signal`

  Type: `const char*`

  Signal to connect the handler to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`header`

  Type: `const char*`

  HTTP response header to match against.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GCallback`

  The header handler.

`user_data`

  Type: `gpointer`

  Data to pass to `handler_cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The handler ID from `g_signal_connect()`